VectorLinux

Please login or register.

Login with username, password and session length
Advanced search  

News:

Visit our home page for VL info. For support and documentation, visit the Vector Linux Knowledge Center or search the Knowledge Center and this Forum using the search box above.

Author Topic: 071126 - Updated kdegraphics-3.5.8 and koffice-1.6.3 - VL 5.9  (Read 2805 times)

JohnB316

  • Administrator
  • Vectorian
  • *****
  • Posts: 1346
  • Registered Linux User #386728
071126 - Updated kdegraphics-3.5.8 and koffice-1.6.3 - VL 5.9
« on: November 26, 2007, 06:05:30 pm »

After KDE 3.5.8 and Koffice 1.6.3 were released, multiple security vulnerabilities in the kpdf component of kdegraphics and in the pdf conversion filter for the kword program in koffice were reported. See the following announcement from the KDE security team: http://www.kde.org/info/security/advisory-20071107-1.txt for more details.

Updated packages of kdegraphics-3.5.8 and koffice-1.6.3 are in the VL 5.9 testing repository as follows:

http://vectorlinux.osuosl.org/veclinux-5.9/testing/kde/kdegraphics-3.5.8-i586-2vl59.tlz

http://vectorlinux.osuosl.org/veclinux-5.9/testing/kde/koffice-1.6.3-i586-2vl59.tlz

If you are going to use slapt-get to do the update, run slapt-get --update to get the latest and greatest packages lists from the repo.

Updated build scripts and diff files for the patches are in the source directory.

These files should propagate to our secondary mirrors over the next day or so.

Post any issues you may experience with these KDE components in this thread.

Thanks,
John
Logged
VL 6.0 SOHO latest alpha on one box, VL 5.9 Lite on the other.

nightflier

  • Administrator
  • Vectorian
  • *****
  • Posts: 4446
Re: 071126 - Updated kdegraphics-3.5.8 and koffice-1.6.3 - VL 5.9
« Reply #1 on: November 27, 2007, 08:57:02 am »

Using gslapt, I get unsatisfied dependency on both: poppler >= 0.6.2-i586-1vl59
Logged

JohnB316

  • Administrator
  • Vectorian
  • *****
  • Posts: 1346
  • Registered Linux User #386728
Re: 071126 - Updated kdegraphics-3.5.8 and koffice-1.6.3 - VL 5.9
« Reply #2 on: November 27, 2007, 07:28:16 pm »

Using gslapt, I get unsatisfied dependency on both: poppler >= 0.6.2-i586-1vl59

nightflier,

I've moved the 0.6.2 version of poppler to the testing repo/libs. Please try again.

TYVM,
John
Logged
VL 6.0 SOHO latest alpha on one box, VL 5.9 Lite on the other.

nightflier

  • Administrator
  • Vectorian
  • *****
  • Posts: 4446
Re: 071126 - Updated kdegraphics-3.5.8 and koffice-1.6.3 - VL 5.9
« Reply #3 on: November 28, 2007, 06:23:18 am »

poppler installed okay, but I get an HTTP error on koffice and kdegraphics.

I get a 403 error on the above http links, and a 550 error if I try ftp.
Logged

JohnB316

  • Administrator
  • Vectorian
  • *****
  • Posts: 1346
  • Registered Linux User #386728
Re: 071126 - Updated kdegraphics-3.5.8 and koffice-1.6.3 - VL 5.9
« Reply #4 on: December 01, 2007, 12:38:30 pm »

nightflier,

Try those again - they should work fine now.

Thanks,
John
Logged
VL 6.0 SOHO latest alpha on one box, VL 5.9 Lite on the other.

nightflier

  • Administrator
  • Vectorian
  • *****
  • Posts: 4446
Re: 071126 - Updated kdegraphics-3.5.8 and koffice-1.6.3 - VL 5.9
« Reply #5 on: December 02, 2007, 08:52:47 pm »

Now both packages installed without problems   :)

Koffice is a evolving into a powerful and fast suite for KDE users, I'm looking forward to the 2.x version.

Minor question: The description for kdegraphics has a list of programs, mentioning kpaint and kfract, which I don't think are included.

Logged

JohnB316

  • Administrator
  • Vectorian
  • *****
  • Posts: 1346
  • Registered Linux User #386728
Re: 071126 - Updated kdegraphics-3.5.8 and koffice-1.6.3 - VL 5.9
« Reply #6 on: December 03, 2007, 08:15:31 pm »

---snip---

Minor question: The description for kdegraphics has a list of programs, mentioning kpaint and kfract, which I don't think are included.



nightflier,

You are indeed correct. Time to excise those two items from the slack-desc file for the next time we build kdegraphics. ;-)

John
Logged
VL 6.0 SOHO latest alpha on one box, VL 5.9 Lite on the other.